Package com.meterware.httpunit

# Interface WebClientListener

public interface WebClientListener
A listener for messages sent and received by a web client.

Author:
  Oliver Imbusch, Russell Gold

## Method Summary

Modifier and Type
Method
Description
`void`
`requestSent(WebClient src, WebRequest req)`
Invoked when the web client sends a request.
`void`
`responseReceived(WebClient src, WebResponse resp)`
Invoked when the web client receives a response.

## Method Details

### requestSent

void requestSent(WebClient src, WebRequest req)
Invoked when the web client sends a request.

### responseReceived

void responseReceived(WebClient src, WebResponse resp)
Invoked when the web client receives a response.